<html>
	<head>
		<title>lightGallery 1.0</title>

<!--start cut for <head>-->
		<script type="text/javascript" src="js/prototype.js"></script>
		<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>
		<script type="text/javascript" src="js/lightbox.js"></script>
		<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" />
<!--end cut for </head>-->

		<style type="text/css">
			a:link, a:active, a:visited {color: #1f1f1f; font-weight: bold; text-decoration: none;}
			img {border:1px solid #1f1f1f;margin:2px;}
		</style>
	</head>
	<body style="text-align:center;background-color:#1f1f1f;color:#1f1f1f;">
		<div id="bg" style="width: 620px;margin:auto;text-align:left;background-color:#b7ab92;border:2px dotted #e4e4c9;padding:8px 8px 8px 8px;">
			<div style="margin:0 0 0 15px;font-size:22px;font-weight:bold;color:#fff">
				lightGallery
				<div style="width:320px;height:8px;border-top:1px solid #fff"></div>
				</div>
			<div id="main" style="width:600px;margin:auto;text-align:center;">

<!--start cut here -->
		
<?php

	//
	//	lightGallery 1.0
	//	by Chris Pennington - http://www.downupdesigns.com/
	//	help from Keith Cameron
	//	10/10/07
	//
	//	For more information about lightGallery, visit:
	//	http://www.downupdesigns.com/lightgallery/lightgallery.php
	//
	//	Licensed under the Creative Commons Attribution 3.0 License - http://creativecommons.org/licenses/by/3.0/us/
	//	Feel free to reuse/redistribute/remix this code to your liking, all that I ask is to leave this bit in tact.
	//
	//	Credit also goes out to everyone that has made helpfull php tutorials.
	//

	// 	you can either link to the gallery by the file name (lightgallery.php) or like: lightgallery.php?page=0

	$dir = './'; 												// designate directory // you probably wont need to change this
	$convertpath = '/usr/bin/';									//designate the path to convert, be sure to have a trailing slash (/)
	$colnum = '4';												//designate the number of columns
	$rownum = '4';												//designate the number of rows
	
	//----------if the next five settings are changed you must clear out the /thumbnail/ directory for the settings to activate----------//
	
	$thumbnailMinHeight = '125';								//designate the viewable height in px
	$thumbnailWidth = '125';									//if thumbnail is smaller than $thumbnailMinWidth $bgcolor will surround it
	$thumbnailHeight = '125';									//if thumbnail is smaller than $thumbnailMinWidth $bgcolor will surround it
	$bgcolor = '#000000';										//background color if image is less than minimum height
	
	//--------------------------END OF USER CONTROLS--------------------------//
	$thumbDir = './thumbnails/';								//designate direcotry to thumbnails
	$dirNum = opendir($dir);									//open specified directory
	$dirThumb = opendir($thumbDir);								//open specified directory
	$page = $_GET["page"];										//retrieves the page number from the webaddress
	
	//----------------------------------Start program-----------------------------------//
	

	$startNum = $page * ($rownum * $colnum);	//gets the starting image number
	
	//if $page is not set then set it to 0
	if(!isset($page)) {
		$page = '0';
	}
	
	//make sure that $page is not less than 0
	if($page < 0) {
		echo $ppage . 'Sorry, but this is not a valid page number, "?page=" must be 0 or higher.';
		exit;
	}
	
	//grabs all images in the directory
	while($file = readdir($dirNum)) {
		if(!is_dir($file) && strpos($file, '.png')>0 || strpos($file, '.gif')>0 || strpos($file, '.jpg')>0) {
			$image[$totalImg] = $file;
			$totalImg++;
		}
	}
	
	sort($image);	// sort the array of images
	
	//check to make sure $page isn't greater than the last possible page
	if($page > $totalImg / ($rownum * $colnum)) {
		echo "Sorry, but this is not a valid page number.";
		exit;
	}
	
	// display the images in rows and columns as designated above
	for($x = $startNum; $x < $startNum + ($rownum * $colnum); $x++) {
		// check ifthe thumbnail does not already exist
		if(!file_exists('./thumbnails/thumb_' . $image[$x] . '.png')) {
			// create the  thumbnail if it does not exist
			exec($convertpath . 'convert ' . $image[$x] . ' -thumbnail "x' . $thumbnailMinHeight . '>" -background "' . $bgcolor . '" -gravity center -extent ' . $thumbnailWidth . 'x' . $thumbnailHeight . ' PNG24:thumbnails/thumb_' . $image[$x] . '.png');
		}
		if($x == $totalImg - 1) {
			echo '<a href="' . $image[$x] . '" rel="lightbox[lightgallery]"><img src="thumbnails/thumb_' . $image[$x] . '.png" /></a>';
			$x = $startNum + (($rownum * $colnum)-1);
			$end = "true";
		}
		else {
			if($column == ($colnum - 1)) {
				echo '<a href="' . $image[$x] . '" rel="lightbox[lightgallery]"><img src="thumbnails/thumb_' . $image[$x] . '.png" /></a><br />';
				$column = 0;
				$full = 1;
			}
			else {
				echo '<a href="' . $image[$x] . '" rel="lightbox[lightgallery]"><img src="thumbnails/thumb_' . $image[$x] . '.png" /></a>';
				$column++;
				$full = 0;
			}
		}
	}
	if($full == 0) {
		echo "<br />";	//fixes a spacing issue
	}
	
	// create links for previous and next pages
	
	if ($page == 0 && $totalImg <= $startNum + ($rownum * $colnum)) {	//if there are only enough images for one page then no links need to be created
		echo '<br />| previous || next |';
	}
	else if($page == 0) {														//if this is the first page then only the 'next' link needs to be created
		echo '<br />| previous || <a href="?page=' . ($page+1) . '">next</a> |';
	}
	else if($end == "true") {													//if this is the last page then only the 'previous' link needs to be created
		echo '<br />| <a href="?page=' . ($page-1) . '">previous</a> || next |';
	}
	else {																		//if this is any other page then both links need to be created
		echo '<br />| <a href="?page=' . ($page-1) . '">previous</a> || <a href="?page=' . ($page+1) . '">next</a> |';
	}
	
	//pull in all of the thumbnail images
	while($file = readdir($dirThumb)) {
		if(!is_dir($file) && strpos($file, '.png')>0) {
			$thumbImage[$totalThumb] = $file;
			$totalThumb++;
		}
	}
	
	sort($thumbImage);	//sort thumbnail images
	
	//perform cleanup of the thumbnail directory if needed
	foreach($thumbImage as $x) {
		for($y = 0; $y < $totalImg; $y++) {
			if($x == ('thumb_' . $image[$y] . '.png')) {
				break;
			}
			if ($y == ($totalImg - 1)) {
				unlink('./thumbnails/' . $x);
			}			
		}
	}
	
	//close open directories
	closedir($dirNum);
	closedir($dirThumb);
?>

<!--end cut here -->
			<br /><br /><a href="./nojs/lightgallery.php?page=0">Without JavaScript</a>
			<br /><a href="lightgallery-1.0.zip"><h2 style="color:#ff3333;background:#ffffcc url(images/check.png) 1% 60% no-repeat;border-top:3px solid #e87a0e;border-bottom:3px solid #e87a0e">download lightGallery 1.0</h2></a>
			<a rel="license" href="http://creativecommons.org/licenses/by/3.0/us/"><img alt="Creative Commons License" style="border-width:0" src="http://creativecommons.org/images/public/somerights20.png" /></a>
			<br />lightGallery by Chris Pennington & Keith Cameron is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/3.0/us/">Creative Commons Attribution 3.0 License</a>.
		</div>
	</body>
</html>